%define libpeas_version 1.0.0
%define isocodes_version 0.35

Name:		gtranslator
Version:	2.91.7
Release:	6%{?dist}
Summary:	Gettext po file editor for GNOME
Group:		Development/Tools
License:	GPLv2+ and GPLv3+
URL:		http://projects.gnome.org/gtranslator/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.91/%{name}-%{version}.tar.xz
BuildRequires:	glib2-devel
BuildRequires:	gtk3-devel
BuildRequires:	intltool gnome-doc-utils desktop-file-utils
BuildRequires:	libgdl-devel
BuildRequires:	gtksourceview3-devel
BuildRequires:	gtkspell3-devel
BuildRequires:	json-glib-devel
BuildRequires:	libgda-devel
BuildRequires:	libpeas-devel >= %{libpeas_version}
BuildRequires:	gobject-introspection-devel
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	iso-codes-devel >= %{isocodes_version}
BuildRequires:	gnome-dictionary-devel
BuildRequires:	itstool
Requires:	hicolor-icon-theme
Requires:	gsettings-desktop-schemas
Requires:	libgda-sqlite%{?_isa}
Requires:	libpeas-loader-python%{?_isa}

%description
gtranslator is an enhanced gettext po file editor for the GNOME
desktop environment. It handles all forms of gettext po files and
features many comfortable everyday usage features like find and
replace functions, auto translation, and translation learning,

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	gettext-devel gtksourceview3-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--disable-scrollkeeper \
	--enable-debug=no \
	--enable-introspection=yes \
	--with-gda=5.0
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -name '*.la' -exec rm -f {} ';'

desktop-file-install --delete-original \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

## clean up all the static libs for plugins (workaround for no -module)
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir} -name "*.a"`
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir} -name "*.la"`

%find_lang %{name} --with-gnome

%post
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/sbin/ldconfig

%postun
update-desktop-database &>/dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi
/sbin/ldconfig

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS NEWS README THANKS
%license COPYING
%{_bindir}/gtranslator
%{_libdir}/gtranslator
%{_datadir}/appdata/gtranslator.appdata.xml
%{_datadir}/applications/gtranslator.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/gtranslator.*
%{_mandir}/man1/*
%{_datadir}/glib-2.0/schemas/org.gnome.gtranslator.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gtranslator.plugins.codeview.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gtranslator.plugins.dictionary.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gtranslator.plugins.open-tran.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gtranslator.plugins.translation-memory.gschema.xml

%files devel
%{_includedir}/gtranslator-3.0
%{_libdir}/pkgconfig/gtranslator.pc
%{_datadir}/gtk-doc/html/gtranslator

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.91.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 20 2015 Kalev Lember <klember@redhat.com> - 2.91.7-5
- Add missing dep on libgda-sqlite (#842050)

* Thu Aug 20 2015 Kalev Lember <klember@redhat.com> - 2.91.7-4
- Rebuilt for libgdict soname bump

* Sat Jul 04 2015 Kalev Lember <klember@redhat.com> - 2.91.7-3
- Require libpeas-loader-python for Python plugin support (#1226879)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar 15 2015 Kalev Lember <kalevlember@gmail.com> - 2.91.7-1
- Update to 2.91.7
- Use %%license macro for the COPYING file

* Sun Mar 08 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.91.6-8
- Rebuild for libgdict

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 2.91.6-6
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Kalev Lember <kalevlember@gmail.com> - 2.91.6-3
- Rebuilt for gtksourceview3 soname bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 02 2013 Ignacio Casal Quinteiro <icq@gnome.org> - 2.91.6-1
- Update to 2.91.6

* Mon Oct 22 2012 Kalev Lember <kalevlember@gmail.com> - 2.91.5-5
- Rebuilt with libgda 5.1

* Wed Sep 26 2012 Kalev Lember <kalevlember@gmail.com> - 2.91.5-4
- Rebuilt for libgdl 3.6.0 soname bump

* Mon Jul 23 2012 Kalev Lember <kalevlember@gmail.com> - 2.91.5-3
- Rebuilt for libgdl 3.5.4 soname bump

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 2.91.5-1
- Update to 2.91.5

* Sat May 05 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 2.91.4-1
- Update to 2.91.4

* Tue Apr 24 2012 Kalev Lember <kalevlember@gmail.com> - 2.91.3-3
- Silence rpm scriptlet output

* Mon Apr 23 2012 Kalev Lember <kalevlember@gmail.com> - 2.91.3-2
- Rebuilt for libgdl 3.4.2 soname bump

* Fri Apr 20 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 2.91.3-1
- Update to 2.91.3

* Mon Apr 09 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 2.91.2-1
- Update to 2.91.2

* Sat Mar 24 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 2.91.1-1
- Update to 2.91.1

* Mon Feb 06 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 2.90.8-1
- Update to 2.90.8

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.90.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 19 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 2.90.7-1
- Update to 2.90.7

* Thu Oct 13 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 2.90.6-1
- Update to 2.90.6

* Wed Jun 15 2011 Tomas Bzatek <tbzatek@redhat.com> - 2.90.5-1
- Update to 2.90.5

* Wed May 18 2011 Tomas Bzatek <tbzatek@redhat.com> - 2.90.4-1
- Update to 2.90.4

* Wed May  4 2011 Tomas Bzatek <tbzatek@redhat.com> - 2.90.3-1
- Update to 2.90.3

* Wed Apr 27 2011 Tomas Bzatek <tbzatek@redhat.com> - 2.90.2-1
- Update to 2.90.2

* Tue Apr 05 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 2.90.1-1
- Update to 2.90.1

* Fri Apr 01 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 2.90.0-1
- Update to 2.90.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 13 2010 Chen Lei <supercyper@163.com> - 1.9.12-1
- Update to 1.9.12

* Fri Jul 16 2010 Chen Lei <supercyper@163.com> - 1.9.11-3
- Disable debugging flags(-ggdb -DDEBUG)
- Fix to honor %%{optflags} correctly

* Fri Jul 16 2010 Chen Lei <supercyper@163.com> - 1.9.11-2
- Remove *.la files

* Fri Jul 16 2010 Chen Lei <supercyper@163.com> - 1.9.11-1
- Update to 1.9.11
- Clean up spec agaist latest guideline

* Fri Apr 30 2010 Caius 'kaio' Chance <me at kaio.net> - 1.9.10-3
- Remove scrollkeeper and desktop-file-utils.
- Rarian has placed scrollkeeper and no scriptlet needed for rarian.
  https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Scrollkeeper

* Thu Apr 29 2010 Caius 'kaio' Chance <me at kaio.net> - 1.9.10-2
- Update license info.
- Added requires of hicolor-icon-theme.
- Converted README.umtf to UTF-8.

* Fri Apr 23 2010 Gianluca Sforna <giallu gmail com> - 1.9.10-1
- new upstream release

* Thu Nov  5 2009 Bill Nottingham <notting@redhat.com> - 1.9.6-2
- Rebuild against newer libgdl

* Tue Sep 29 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.9.6-1
- Update to 1.9.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.9.5-2
- Update for new gdl and requiring libuuid directly

* Sat May 30 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.9.5-1
- Update to 1.9.5 with help of patch by Arkady Shane. New version required a bunch of changes:
- Dropped old patches
- Adjust Requires
- Added new scriplets
